ru.bitel.common.inet

## Class IpAddressRangeSet2<R>

- java.lang.Object
- - ru.bitel.common.inet.IpAddressRangeSet2<R>

-     public class IpAddressRangeSet2<R>
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `IpAddressRangeSet2(java.lang.Class<R> clazz, ru.bitel.common.util.Ranger<R,byte[]> ranger, boolean bites, int maskLength)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `add(R range)`
    `void` | `addAll(java.lang.Iterable<R> list)`
    `boolean` | `contains(byte[] address)`
    `boolean` | `contains(byte[] address, ru.bitel.common.util.Matcher<R> matcher)`
    `R` | `get(IpAddress segmentKey, byte[] address)`
    `R` | `get(IpAddress segmentKey, byte[] address, ru.bitel.common.util.Matcher<R> matcher)`
    `static <K extends IpRange> IpAddressRangeSet2<K>` | `newInstance(java.lang.Class<K> clazz, int maskLength)`
    `void` | `remove(R range)`
    `void` | `removeAll(java.lang.Iterable<R> list)`
    `protected byte[]` | `segmentKey(byte[] address)`
    `protected IpAddress` | `segmentKey(R range)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### IpAddressRangeSet2

          public IpAddressRangeSet2(java.lang.Class<R> clazz,
                                    ru.bitel.common.util.Ranger<R,byte[]> ranger,
                                    boolean bites,
                                    int maskLength)

  - ### Method Detail

    - #### newInstance

          public static <K extends IpRange> IpAddressRangeSet2<K> newInstance(java.lang.Class<K> clazz,
                                                                              int maskLength)

    - #### segmentKey

          protected IpAddress segmentKey(R range)

    - #### segmentKey

          protected byte[] segmentKey(byte[] address)

    - #### get

          public R get(IpAddress segmentKey,
                       byte[] address,
                       ru.bitel.common.util.Matcher<R> matcher)

    - #### get

          public R get(IpAddress segmentKey,
                       byte[] address)

    - #### addAll

          public void addAll(java.lang.Iterable<R> list)

    - #### removeAll

          public void removeAll(java.lang.Iterable<R> list)

    - #### add

          public void add(R range)

    - #### remove

          public void remove(R range)

    - #### contains

          public boolean contains(byte[] address)

    - #### contains

          public boolean contains(byte[] address,
                                  ru.bitel.common.util.Matcher<R> matcher)